> ## Documentation Index
> Fetch the complete documentation index at: https://docs.youka.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Démarrage rapide HTTP brut

> Utilisez cURL pour téléverser un fichier, créer un projet, interroger la tâche et exporter le rendu karaoké finalisé.

# Démarrage rapide HTTP brut

Utilisez ce guide lorsque vous souhaitez des exemples HTTP directs.

Si vous développez en Node.js ou Bun, commencez plutôt par le [Démarrage rapide du SDK Node.js](/fr/sdk).

## 1. Créer une cible de téléversement

```bash theme={null}
curl -X POST https://api.youka.io/fr/api/v1/uploads \
  -H "Authorization: Bearer yk_..." \
  -H "Content-Type: application/json" \
  -d '{
    "filename": "song.mp3",
    "contentType": "audio/mpeg",
    "contentLength": 12345678
  }'
```

Téléversez les octets du fichier vers l’`uploadUrl` retournée.

## 2. Créer un projet

```bash theme={null}
curl -X POST https://api.youka.io/fr/api/v1/projects \
  -H "Authorization: Bearer yk_..." \
  -H "Idempotency-Key: create-project-song-1" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "Artist - Song",
    "inputFileId": "file_123",
    "lyricsSource": {
      "type": "align",
      "lyrics": "First line\nSecond line\n...",
      "syncModel": "musicai-alignment",
      "language": "en"
    },
    "splitModel": "mdx23c"
  }'
```

## 3. Interroger la tâche

```bash theme={null}
curl https://api.youka.io/fr/api/v1/tasks/task_123 \
  -H "Authorization: Bearer yk_..."
```

Lorsque la tâche est terminale, son `output` contient les ID de résultats clés pour l’opération.

## 4. Lire l’état du projet

```bash theme={null}
curl https://api.youka.io/fr/api/v1/projects/proj_123 \
  -H "Authorization: Bearer yk_..."
```

Cela renvoie l’état du projet à long terme, notamment les stems, les alignements, les exports et les paramètres de projet actifs.

## 5. Créer un export

```bash theme={null}
curl -X POST https://api.youka.io/fr/api/v1/projects/proj_123/exports \
  -H "Authorization: Bearer yk_..." \
  -H "Idempotency-Key: export-song-1" \
  -H "Content-Type: application/json" \
  -d '{
    "resolution": "1080p",
    "quality": "high"
  }'
```

Ensuite, interrogez la tâche renvoyée ou lisez directement l’export :

```bash theme={null}
curl https://api.youka.io/fr/api/v1/exports/export_123 \
  -H "Authorization: Bearer yk_..."
```
